def str_to_half(s: str) -> str:
    """将全角字符替换为半角字符"""
    s = s.split(' ')[0]
    # 全角字符到半角字符的映射字典
    full_to_half_dict = {
        "【": "[", "】": "]", "「": "{", "」": "}", "（": "(", "）": ")",
        "！": "!", "＂": "\"", "＃": "#", "＄": "$", "％": "%", "＆": "&", "＇": "'",
        "（": "(", "）": ")", "＊": "*", "＋": "+", "，": ",", "－": "-", "。": ".",
        "／": "/", "０": "0", "１": "1", "２": "2", "３": "3", "４": "4", "５": "5",
        "６": "6", "７": "7", "８": "8", "９": "9", "：": ":", "；": ";", "＜": "<",
        "＝": "=", "＞": ">", "？": "?", "＠": "@", "Ａ": "A", "Ｂ": "B", "Ｃ": "C",
        "Ｄ": "D", "Ｅ": "E", "Ｆ": "F", "Ｇ": "G", "Ｈ": "H", "Ｉ": "I", "Ｊ": "J",
        "Ｋ": "K", "Ｌ": "L", "Ｍ": "M", "Ｎ": "N", "Ｏ": "O", "Ｐ": "P", "Ｑ": "Q",
        "Ｒ": "R", "Ｓ": "S", "Ｔ": "T", "Ｕ": "U", "Ｖ": "V", "Ｗ": "W", "Ｘ": "X",
        "Ｙ": "Y", "Ｚ": "Z", "［": "[", "＼": "\\", "］": "]", "＾": "^", "＿": "_",
        "｀": "`", "ａ": "a", "ｂ": "b", "ｃ": "c", "ｄ": "d", "ｅ": "e", "ｆ": "f",
        "ｇ": "g", "ｈ": "h", "ｉ": "i", "ｊ": "j", "ｋ": "k", "ｌ": "l", "ｍ": "m",
        "ｎ": "n", "ｏ": "o", "ｐ": "p", "ｑ": "q", "ｒ": "r", "ｓ": "s", "ｔ": "t",
        "ｕ": "u", "ｖ": "v", "ｗ": "w", "ｘ": "x", "ｙ": "y", "ｚ": "z", "｛": "{",
        "｜": "|", "｝": "}", "～": "~"
    }
    
    # 遍历字符串，逐个替换全角字符
    result = "".join([full_to_half_dict.get(char, char) for char in s])
    return result
